Skip to main content
PATCH

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Body

application/json

Request body for bulk updating multiple issues

issueIds
string<uuid>[]
required

Array of issue IDs to update. Maximum 100 issues per request.

Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
status
enum<string>

Updated status to apply to all specified issues

Available options:
OPEN,
RESOLVED,
REJECTED
Example:

"RESOLVED"

priority
enum<string>

Updated priority level to apply to all specified issues

Available options:
LOW,
MEDIUM,
HIGH
Example:

"HIGH"

assignedTo
string · null · null

User ID to assign all issues to, or null to unassign. User must be a valid organization member and not banned.

Example:

"user_789012"

comment
string

Optional comment to add when updating issues. Typically used when resolving or dismissing issues to provide context.

Example:

"Fixed in version 2.1.0"

Response

Issues updated successfully

Successful response containing updated issues with assigned user info

data
Issue · object[]
required